Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration.groovy
Class GroovyAnnotationBuilder

    java.lang.Object
      org.jbehave.core.configuration.AnnotationBuilder
          org.jbehave.core.configuration.groovy.GroovyAnnotationBuilder

    public class GroovyAnnotationBuilder

extends AnnotationBuilder

Extends `AnnotationBuilder` using Groovy-based resources if `UsingGroovy` annotation is present.

Author:
  Mauro Talevi

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.configuration.AnnotationBuilder
`AnnotationBuilder.InstantiationFailed`

Constructor Summary
`GroovyAnnotationBuilder(Class<?> annotatedClass)`
`GroovyAnnotationBuilder(Class<?> annotatedClass, AnnotationMonitor annotationMonitor)`

Method Summary
`Configuration` | `buildConfiguration()`
`InjectableStepsFactory` | `buildStepsFactory(Configuration configuration)`
`protected GroovyContext` | `createGroovyContext(groovy.lang.GroovyClassLoader classLoader, GroovyResourceFinder resourceFinder)`
`protected
`<T,V extends T> T`
` | `instanceOf(Class<T> type, Class<V> ofClass)`

Methods inherited from class org.jbehave.core.configuration.AnnotationBuilder
`annotatedClass, annotationFinder, annotationMonitor, buildCandidateSteps, buildCandidateSteps, buildEmbedder, embeddableInstance, findPaths, injectEmbedder, parameterConverters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyAnnotationBuilder

    public GroovyAnnotationBuilder(Class<?> annotatedClass)

### GroovyAnnotationBuilder

    public GroovyAnnotationBuilder(Class<?> annotatedClass,
                                   AnnotationMonitor annotationMonitor)

Method Detail

### buildConfiguration

    public Configuration buildConfiguration()
                                     throws AnnotationRequired

  Overrides:
    `buildConfiguration` in class `AnnotationBuilder`
  Throws:
    `AnnotationRequired`

### buildStepsFactory

    public InjectableStepsFactory buildStepsFactory(Configuration configuration)

  Overrides:
    `buildStepsFactory` in class `AnnotationBuilder`

### instanceOf

    protected <T,V extends T> T instanceOf(Class<T> type,
                                           Class<V> ofClass)

  Overrides:
    `instanceOf` in class `AnnotationBuilder`

### createGroovyContext

    protected GroovyContext createGroovyContext(groovy.lang.GroovyClassLoader classLoader,
                                                GroovyResourceFinder resourceFinder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.